Skip to main content
Fine-tuning

List checkpoint permissions

GET
/openai/v1/fine_tuning/checkpoints/{fine_tuned_model_checkpoint}/permissions

Returns the permissions for the specified fine-tuned model checkpoint. This operation requires an admin API key.

Path Parameters
fine_tuned_model_checkpointstringrequired
The ID of the fine-tuned model checkpoint to get permissions for.
Query Parameters
project_idstringoptional
The ID of the project to get permissions for.
afterstringoptional
Identifier for the last permission ID from the previous pagination request.
limitintegeroptionaldefault: 10
Number of permissions to retrieve.
orderstringoptionaldefault: descending
The order in which to retrieve permissions.
ascendingdescending
Responses
dataOpenAI.FineTuningCheckpointPermission[]required
idstringrequired
The permission identifier, which can be referenced in the API endpoints.
created_atintegerrequired
The Unix timestamp (in seconds) for when the permission was created.
project_idstringrequired
The project identifier that the permission is for.
objectenumrequired
The object type, which is always "checkpoint.permission".
checkpoint.permission
objectenumrequired
list
first_idstring | null
last_idstring | null
has_morebooleanrequired
Request
curl https://api.openai.com/v1/fine_tuning/checkpoints/ft:gpt-4o-mini-2024-07-18:org:weather:B7R9VjQd/permissions \
  -H "Authorization: Bearer $OPENAI_API_KEY"
Response
{
  "object": "list",
  "data": [
    {
      "object": "checkpoint.permission",
      "id": "cp_zc4Q7MP6XxulcVzj4MZdwsAB",
      "created_at": 1721764867,
      "project_id": "proj_abGMw1llN8IrBb6SvvY5A1iH"
    },
    {
      "object": "checkpoint.permission",
      "id": "cp_enQCFmOTGj3syEpYVhBRLTSy",
      "created_at": 1721764800,
      "project_id": "proj_iqGMw1llN8IrBb6SvvY5A1oF"
    },
  ],
  "first_id": "cp_zc4Q7MP6XxulcVzj4MZdwsAB",
  "last_id": "cp_enQCFmOTGj3syEpYVhBRLTSy",
  "has_more": false
}